#!/bin/bash
DBUS_PATH=$1

function main() {

	local KYLIN_CUPS_CONF=/etc/cups

	if test -f "$KYLIN_CUPS_CONF/cupsd.conf.0"; then

		local md5_conf0=$(md5sum $KYLIN_CUPS_CONF/cupsd.conf.0 | awk '{print $1}')
		echo $md5_conf0
		SudoWrapper -s "mv -f $KYLIN_CUPS_CONF/cupsd.conf.0 $KYLIN_CUPS_CONF/cupsd.conf"
		local md5_conf=$(md5sum $KYLIN_CUPS_CONF/cupsd.conf | awk '{print $1}')
		echo $md5_conf
		if [ $md5_conf0 == $md5_conf ]; then
			local msg_succeed="The issue has been successfully resolved"
			local tr_msg_succeed=$(Translate "${msg_succeed}")
			ShowMessageBox "${DBUS_PATH}" "${tr_msg_succeed}" "info"
			exit 0

		else
			local msg_failed="The issue repair has failed"
			local tr_msg_failed=$(Translate "${msg_failed}")
			ShowMessageBox "${DBUS_PATH}" "${tr_msg_failed}" "info"
			exit 255

		fi

	else
		local msg_no_file="no file"
		local tr_msg_no_file=$(Translate "${msg_no_file}")
		ShowMessageBox "${DBUS_PATH}" "${tr_msg_no_file}" "info"
		exit 255

	fi
}

main
