#!/bin/bash

DBUS_PATH=$1

function main() {
    local old_md5
    old_md5=$(md5sum /etc/hosts | awk '{print $1}')

    ShowSimpleTextEditor "${DBUS_PATH}" "/etc/hosts"

    local new_md5
    new_md5=$(md5sum /etc/hosts | awk '{print $1}')

    if [ "${old_md5}" != "${new_md5}" ]; then
        SudoWrapper -s "systemctl restart dnsmasq"
        SudoWrapper -s "systemctl restart network-manager"

        local msg="The modification has taken effect"
        local tr_msg
        tr_msg=$(Translate "${msg}")
        ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
    fi
}

main
